Bug 1847424 - Add Nodejs 12 agent to Jenkins
Summary: Add Nodejs 12 agent to Jenkins
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Jenkins
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.z
Assignee: Akram Ben Aissi
QA Contact: Jitendar Singh
URL:
Whiteboard:
Depends On: 1848284
Blocks: 1848335
TreeView+ depends on / blocked
 
Reported: 2020-06-16 11:13 UTC by Vibhav Bobade
Modified: 2020-06-29 15:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1848284 1848335 (view as bug list)
Environment:
Last Closed: 2020-06-29 15:34:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift jenkins pull 1076 None closed Bug 1847424: [release-4.4] Support Nodejs 12 Agent 2020-08-11 17:38:48 UTC
Red Hat Product Errata RHBA-2020:2713 None None None 2020-06-29 15:34:40 UTC

Description Vibhav Bobade 2020-06-16 11:13:35 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jitendar Singh 2020-06-18 13:38:20 UTC
============================================================
jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates  ➦ 1c19ede  oc new-project jenkins-nodejs12
Now using project "jenkins-nodejs12" on server "https://api.wxj181-5422.qe.devcluster.openshift.com:6443".

You can add applications to this project with the 'new-app' command. For example, try:

    oc new-app django-psql-example

to build a new example application in Python. Or use kubectl to deploy a simple Kubernetes application:

    kubectl create deployment hello-node --image=gcr.io/hello-minikube-zero-install/hello-node

 jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates  ➦ 1c19ede  oc import-image sunnyconcise/openshift-jenkins-agent-nodejs-12-rhel7:v4.5.0-202006161654 nodejs12 --confirm
imagestream.image.openshift.io/openshift-jenkins-agent-nodejs-12-rhel7 imported

Name:			openshift-jenkins-agent-nodejs-12-rhel7
Namespace:		jenkins-nodejs12
Created:		Less than a second ago
Labels:			<none>
Annotations:		openshift.io/image.dockerRepositoryCheck=2020-06-18T13:28:06Z
Image Repository:	image-registry.openshift-image-registry.svc:5000/jenkins-nodejs12/openshift-jenkins-agent-nodejs-12-rhel7
Image Lookup:		local=false
Unique Images:		1
Tags:			1

v4.5.0-202006161654
  tagged from sunnyconcise/openshift-jenkins-agent-nodejs-12-rhel7:v4.5.0-202006161654

  * sunnyconcise/openshift-jenkins-agent-nodejs-12-rhel7@sha256:28684cd966157f21aa9a4d9fe753304e7bb143cb0232df2022e51c0d88d413cd
      Less than a second ago

Image Name:	openshift-jenkins-agent-nodejs-12-rhel7:v4.5.0-202006161654
Docker Image:	sunnyconcise/openshift-jenkins-agent-nodejs-12-rhel7@sha256:28684cd966157f21aa9a4d9fe753304e7bb143cb0232df2022e51c0d88d413cd
Name:		sha256:28684cd966157f21aa9a4d9fe753304e7bb143cb0232df2022e51c0d88d413cd
Created:	Less than a second ago
Annotations:	image.openshift.io/dockerLayersOrder=ascending
Image Size:	313MB in 7 layers
Layers:		76.28MB	sha256:a3ac36470b00df382448e79f7a749aa6833e4ac9cc90e3391f778820db9fa407
		1.598kB	sha256:82a8f4ea76cb6f833c5f179b3e6eda9f2267ed8ac7d1bf652f88ac3e9cc453d1
		3.501MB	sha256:d094068878fd934847cf5c63f280679e0326c553c43c1ccc51d4474048a79846
		8.24MB	sha256:d6548763ffa12fc98f3b598967d19ad9f4f712b701e29912e24347365e7ffc8f
		24.31MB	sha256:f6c937a1017dba0ee3927ef6a9bf7871b37e57ad0ca28b543826c1fc15db6fd3
		142.8MB	sha256:6f4fff6c70cbf31e26ff05ca934245304a3395318660d873471cc14526476701
		57.85MB	sha256:04b9a77a669d946594bffe11d33922aa583f1d8cce634f26a80761be4b391792
Image Created:	42 hours ago
Author:		Akram Ben Aissi <abenaiss@redhat.com>
Arch:		amd64
Entrypoint:	/usr/bin/go-init -main /usr/local/bin/run-jnlp-client
Working Dir:	<none>
User:		1001
Exposes Ports:	<none>
Docker Labels:	License=GPLv2+
		architecture=x86_64
		build-date=2020-06-16T19:22:03.396690
		com.redhat.build-host=cpt-1002.osbs.prod.upshift.rdu2.redhat.com
		com.redhat.component=jenkins-agent-nodejs-12-rhel7-container
		com.redhat.license_terms=https://www.redhat.com/en/about/red-hat-end-user-license-agreements
		description=The jenkins agent nodejs image has the nodejs tools on top of the jenkins slave base image.
		distribution-scope=public
		io.k8s.description=The jenkins agent nodejs image has the nodejs tools on top of the jenkins slave base image.
		io.k8s.display-name=Jenkins Agent Nodejs
		io.openshift.build.commit.id=e51fe5a35cb1d4823427ea246be351f554cb9104
		io.openshift.build.commit.url=https://github.com/openshift/jenkins/commit/e51fe5a35cb1d4823427ea246be351f554cb9104
		io.openshift.build.source-location=https://github.com/openshift/jenkins
		io.openshift.maintainer.component=Jenkins
		io.openshift.maintainer.product=OpenShift Container Platform
		io.openshift.tags=openshift,jenkins,agent,nodejs
		name=openshift/jenkins-agent-nodejs-12-rhel7
		release=202006161654
		summary=Provides the latest release of the Red Hat Universal Base Image 7.
		url=https://access.redhat.com/containers/#/registry.access.redhat.com/openshift/jenkins-agent-nodejs-12-rhel7/images/v4.5.0-202006161654
		vcs-ref=c433de18ee9bc38962caf5a23ea57e49193bf8ae
		vcs-type=git
		vendor=Red Hat, Inc.
		version=v4.5.0
Environment:	__doozer=merge
		BUILD_RELEASE=202006161654
		BUILD_VERSION=v4.5.0
		OS_GIT_MAJOR=4
		OS_GIT_MINOR=5
		OS_GIT_PATCH=0
		OS_GIT_TREE_STATE=clean
		OS_GIT_VERSION=4.5.0-202006161654-e51fe5a
		OS_GIT_COMMIT=e51fe5a
		SOURCE_DATE_EPOCH=1591976051
		SOURCE_GIT_COMMIT=e51fe5a35cb1d4823427ea246be351f554cb9104
		SOURCE_GIT_TAG=e51fe5a
		SOURCE_GIT_URL=https://github.com/openshift/jenkins
		NODEJS_VERSION=12
		NPM_CONFIG_PREFIX=/home/jenkins/.npm-global
		PATH=/home/jenkins/node_modules/.bin/:/home/jenkins/.npm-global/bin/:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
		BASH_ENV=/usr/local/bin/scl_enable
		ENV=/usr/local/bin/scl_enable
		PROMPT_COMMAND=. /usr/local/bin/scl_enable
		LANG=en_US.UTF-8
		LC_ALL=en_US.UTF-8
		HOME=/home/jenkins
		container=oci


 jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates  ➦ 1c19ede  oc tag openshift-jenkins-agent-nodejs-12-rhel7:v4.5.0-202006161654 nodejs12:latest
Tag nodejs12:latest set to openshift-jenkins-agent-nodejs-12-rhel7@sha256:28684cd966157f21aa9a4d9fe753304e7bb143cb0232df2022e51c0d88d413cd.
 jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates  ➦ 1c19ede  oc new-app jenkins-ephemeral
--> Deploying template "openshift/jenkins-ephemeral" to project jenkins-nodejs12

     Jenkins (Ephemeral)
     ---------
     Jenkins service, without persistent storage.
     
     WARNING: Any data stored will be lost upon pod destruction. Only use this template for testing.

     A Jenkins service has been created in your project.  Log into Jenkins with your OpenShift account.  The tutorial at https://github.com/openshift/origin/blob/master/examples/jenkins/README.md contains more information about using this template.

     * With parameters:
        * Jenkins Service Name=jenkins
        * Jenkins JNLP Service Name=jenkins-jnlp
        * Enable OAuth in Jenkins=true
        * Memory Limit=1Gi
        * Jenkins ImageStream Namespace=openshift
        * Disable memory intensive administrative monitors=false
        * Jenkins ImageStreamTag=jenkins:2
        * Allows use of Jenkins Update Center repository with invalid SSL certificate=false

--> Creating resources ...
    route.route.openshift.io "jenkins" created
    deploymentconfig.apps.openshift.io "jenkins" created
    serviceaccount "jenkins" created
    rolebinding.authorization.openshift.io "jenkins_edit" created
    service "jenkins-jnlp" created
    service "jenkins" created
--> Success
    Access your application via route 'jenkins-jenkins-nodejs12.apps.wxj181-5422.qe.devcluster.openshift.com' 
    Run 'oc status' to view your app.
 jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates  ➦ 1c19ede  oc get pods -w
NAME               READY   STATUS    RESTARTS   AGE
jenkins-1-49mws    0/1     Running   0          53s
jenkins-1-deploy   1/1     Running   0          57s
jenkins-1-49mws    1/1     Running   0          81s
jenkins-1-deploy   0/1     Completed   0          86s
jenkins-1-deploy   0/1     Completed   0          86s
jenkins-1-deploy   0/1     Completed   0          87s
^C%                                                                                                                                                                                            ✘ jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates  ➦ 1c19ede  oc get routes
NAME      HOST/PORT                                                               PATH   SERVICES   PORT    TERMINATION     WILDCARD
jenkins   jenkins-jenkins-nodejs12.apps.wxj181-5422.qe.devcluster.openshift.com          jenkins    <all>   edge/Redirect   None
 jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates  ➦ 1c19ede  oc label is nodejs12 role=jenkins-slave
imagestream.image.openshift.io/nodejs12 labeled
 jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates  ➦ 1c19ede  oc new-build https://github.com/akram/scrum-planner
    * A pipeline build using source code from https://github.com/akram/scrum-planner will be created
      * Use 'oc start-build' to trigger a new build

--> Creating resources with label build=scrum-planner ...
    buildconfig.build.openshift.io "scrum-planner" created
--> Success
 jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates  ➦ 1c19ede  oc get pos -w
error: the server doesn't have a resource type "pos"
 ✘ jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates  ➦ 1c19ede  oc get pdos
^C
 ✘ jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates  ➦ 1c19ede  oc get pods
NAME               READY   STATUS      RESTARTS   AGE
jenkins-1-49mws    1/1     Running     0          7m47s
jenkins-1-deploy   0/1     Completed   0          7m51s
================================================================================================================

Build logs
=================================================================================================================

OpenShift Build jenkins-nodejs12/scrum-planner-1 from https://github.com/akram/scrum-planner
Checking out git https://github.com/akram/scrum-planner into /var/lib/jenkins/jobs/jenkins-nodejs12/jobs/jenkins-nodejs12-scrum-planner/workspace@script to read Jenkinsfile
No credentials specified
Cloning the remote Git repository
Cloning repository https://github.com/akram/scrum-planner
 > git init /var/lib/jenkins/jobs/jenkins-nodejs12/jobs/jenkins-nodejs12-scrum-planner/workspace@script # timeout=10
Fetching upstream changes from https://github.com/akram/scrum-planner
 > git --version # timeout=10
 > git fetch --tags --progress https://github.com/akram/scrum-planner +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://github.com/akram/scrum-planner # timeout=10
 > git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://github.com/akram/scrum-planner # timeout=10
Fetching upstream changes from https://github.com/akram/scrum-planner
 > git fetch --tags --progress https://github.com/akram/scrum-planner +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git rev-parse refs/remotes/origin/master^{commit} # timeout=10
 > git rev-parse refs/remotes/origin/origin/master^{commit} # timeout=10
Checking out Revision d3addb1962581bb6cbdcaa79b54fb83d1e894b01 (refs/remotes/origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f d3addb1962581bb6cbdcaa79b54fb83d1e894b01 # timeout=10
Commit message: "nodejs12"
First time build. Skipping changelog.
Running in Durability level: MAX_SURVIVABILITY
[Pipeline] Start of Pipeline
[Pipeline] echo

[Pipeline] node
Running on Jenkins in /var/lib/jenkins/jobs/jenkins-nodejs12/jobs/jenkins-nodejs12-scrum-planner/workspace
[Pipeline] {
[Pipeline] _OcContextInit
[Pipeline] readFile
[Pipeline] }
[Pipeline] // node
[Pipeline] node
Still waiting to schedule task
‘nodejs12-9vf18’ is offline
Agent nodejs12-9vf18 is provisioned from template Kubernetes Pod Template
---
apiVersion: "v1"
kind: "Pod"
metadata:
  annotations: {}
  labels:
    jenkins: "slave"
    jenkins/nodejs12: "true"
  name: "nodejs12-9vf18"
spec:
  containers:
  - args:
    - "********"
    - "nodejs12-9vf18"
    env:
    - name: "JENKINS_SECRET"
      value: "********"
    - name: "http_proxy"
    - name: "no_proxy"
    - name: "JENKINS_TUNNEL"
      value: "172.30.45.101:50000"
    - name: "JENKINS_AGENT_NAME"
      value: "nodejs12-9vf18"
    - name: "https_proxy"
    - name: "JENKINS_NAME"
      value: "nodejs12-9vf18"
    - name: "JENKINS_AGENT_WORKDIR"
      value: "/tmp"
    - name: "JENKINS_URL"
      value: "http://172.30.72.188:80/"
    - name: "HOME"
      value: "/home/jenkins"
    image: "image-registry.openshift-image-registry.svc:5000/jenkins-nodejs12/nodejs12"
    imagePullPolicy: "Always"
    name: "jnlp"
    resources:
      limits: {}
      requests: {}
    securityContext:
      privileged: false
    tty: false
    volumeMounts:
    - mountPath: "/tmp"
      name: "workspace-volume"
      readOnly: false
    workingDir: "/tmp"
  nodeSelector: {}
  restartPolicy: "Never"
  serviceAccount: "jenkins"
  volumes:
  - emptyDir: {}
    name: "workspace-volume"

Running on nodejs12-9vf18 in /tmp/workspace/jenkins-nodejs12/jenkins-nodejs12-scrum-planner
[Pipeline] {
[Pipeline] stage
[Pipeline] { (Declarative: Checkout SCM)
[Pipeline] checkout
No credentials specified
Cloning the remote Git repository
Cloning repository https://github.com/akram/scrum-planner
 > git init /tmp/workspace/jenkins-nodejs12/jenkins-nodejs12-scrum-planner # timeout=10
Fetching upstream changes from https://github.com/akram/scrum-planner
 > git --version # timeout=10
 > git fetch --tags --progress https://github.com/akram/scrum-planner +refs/heads/*:refs/remotes/origin/* # timeout=10
Checking out Revision d3addb1962581bb6cbdcaa79b54fb83d1e894b01 (origin/master)
 > git config remote.origin.url https://github.com/akram/scrum-planner # timeout=10
 > git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://github.com/akram/scrum-planner # timeout=10
Fetching upstream changes from https://github.com/akram/scrum-planner
 > git fetch --tags --progress https://github.com/akram/scrum-planner +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git rev-parse origin/master^{commit} # timeout=10
 > git config core.sparsecheckout # timeout=10
 > git checkout -f d3addb1962581bb6cbdcaa79b54fb83d1e894b01 # timeout=10
Commit message: "nodejs12"
[Pipeline] }
[Pipeline] // stage
[Pipeline] withEnv
[Pipeline] {
[Pipeline] stage
[Pipeline] { (Code Checkout)
[Pipeline] git
No credentials specified
Fetching changes from the remote Git repository
Checking out Revision d3addb1962581bb6cbdcaa79b54fb83d1e894b01 (refs/remotes/origin/master)
Commit message: "nodejs12"
[Pipeline] }
[Pipeline] // stage
[Pipeline] stage
[Pipeline] { (Code Build)
[Pipeline] sh
+ git clone https://github.com/akram/scrum-planner
Cloning into 'scrum-planner'...
 > git rev-parse --is-inside-work-tree # timeout=10
 > git config remote.origin.url https://github.com/akram/scrum-planner # timeout=10
Fetching upstream changes from https://github.com/akram/scrum-planner
 > git --version # timeout=10
 > git fetch --tags --progress https://github.com/akram/scrum-planner +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git rev-parse refs/remotes/origin/master^{commit} # timeout=10
 > git rev-parse refs/remotes/origin/origin/master^{commit} # timeout=10
 > git config core.sparsecheckout # timeout=10
 > git checkout -f d3addb1962581bb6cbdcaa79b54fb83d1e894b01 # timeout=10
 > git branch -a -v --no-abbrev # timeout=10
 > git checkout -b master d3addb1962581bb6cbdcaa79b54fb83d1e894b01 # timeout=10
+ cd scrum-planner
+ node --version
v12.16.1
+ npm --version
6.13.4
+ npm install
npm WARN deprecated connect@2.30.2: connect 2.x series is deprecated
npm WARN deprecated jade@1.11.0: Jade has been renamed to pug, please install the latest version of pug instead of jade
npm WARN deprecated coffee-script@1.3.3: CoffeeScript on NPM has moved to "coffeescript" (no hyphen)
npm WARN deprecated minimatch@0.2.14: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated mkdirp@0.5.1: Legacy versions of mkdirp are no longer supported. Please update to mkdirp 1.x. (Note that the API surface has changed to use Promises in 1.x.)
npm WARN deprecated jade@0.26.3: Jade has been renamed to pug, please install the latest version of pug instead of jade
npm WARN deprecated mkdirp@0.5.0: Legacy versions of mkdirp are no longer supported. Please update to mkdirp 1.x. (Note that the API surface has changed to use Promises in 1.x.)
npm WARN deprecated constantinople@3.0.2: Please update to at least constantinople 3.1.1
npm WARN deprecated minimatch@0.4.0: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated transformers@2.1.0: Deprecated, use jstransformer
npm WARN deprecated request@2.40.0: request has been deprecated, see https://github.com/request/request/issues/3142
npm WARN deprecated graceful-fs@1.2.3: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.js
npm WARN deprecated graceful-fs@2.0.3: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.js
npm WARN deprecated mkdirp@0.3.0: Legacy versions of mkdirp are no longer supported. Please update to mkdirp 1.x. (Note that the API surface has changed to use Promises in 1.x.)
npm WARN deprecated natives@1.1.6: This module relies on Node.js's internals and will break at some point. Do not use it, and update to graceful-fs@4.x.
npm WARN deprecated minimatch@0.3.0: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated node-uuid@1.4.8: Use uuid module instead
npm WARN deprecated hawk@1.1.1: This module moved to @hapi/hawk. Please make sure to switch over as this distribution is no longer supported and may contain bugs and critical security issues.
npm WARN deprecated cryptiles@0.2.2: This version has been deprecated in accordance with the hapi support policy (hapi.im/support). Please upgrade to the latest version to get the best features, bug fixes, and security patches. If you are unable to upgrade at this time, paid support is available for older versions (hapi.im/commercial).
npm WARN deprecated hoek@0.9.1: This version has been deprecated in accordance with the hapi support policy (hapi.im/support). Please upgrade to the latest version to get the best features, bug fixes, and security patches. If you are unable to upgrade at this time, paid support is available for older versions (hapi.im/commercial).
npm WARN deprecated boom@0.4.2: This version has been deprecated in accordance with the hapi support policy (hapi.im/support). Please upgrade to the latest version to get the best features, bug fixes, and security patches. If you are unable to upgrade at this time, paid support is available for older versions (hapi.im/commercial).
npm WARN deprecated sntp@0.2.4: This module moved to @hapi/sntp. Please make sure to switch over as this distribution is no longer supported and may contain bugs and critical security issues.
> ws@0.4.32 install /tmp/workspace/jenkins-nodejs12/jenkins-nodejs12-scrum-planner/scrum-planner/node_modules/ws
> (node-gyp rebuild 2> builderror.log) || (exit 0)

make: Entering directory `/tmp/workspace/jenkins-nodejs12/jenkins-nodejs12-scrum-planner/scrum-planner/node_modules/ws/build'
  CXX(target) Release/obj.target/bufferutil/src/bufferutil.o
make: Leaving directory `/tmp/workspace/jenkins-nodejs12/jenkins-nodejs12-scrum-planner/scrum-planner/node_modules/ws/build'

> ejs@2.7.4 postinstall /tmp/workspace/jenkins-nodejs12/jenkins-nodejs12-scrum-planner/scrum-planner/node_modules/ejs
> node ./postinstall.js

Thank you for installing [35mEJS[0m: built with the [32mJake[0m JavaScript build tool ([32mhttps://jakejs.com/[0m)

npm notice created a lockfile as package-lock.json. You should commit this file.
npm WARN notsup Unsupported engine for gzippo@0.2.0: wanted: {"node":">= 0.5 < 0.9"} (current: {"node":"12.16.1","npm":"6.13.4"})
npm WARN notsup Not compatible with your version of node/npm: gzippo@0.2.0
npm WARN teampoker@2.0.0-11 No license field.
npm WARN The package grunt-contrib-uglify is included as both a dev and production dependency.
npm WARN The package grunt-contrib-concat is included as both a dev and production dependency.
npm WARN The package grunt-contrib-jshint is included as both a dev and production dependency.

added 253 packages from 246 contributors and audited 253 packages in 10.928s
found 109 vulnerabilities (42 low, 22 moderate, 43 high, 2 critical)
  run `npm audit fix` to fix them, or `npm audit` for details
[Pipeline] }
[Pipeline] // stage
[Pipeline] }
[Pipeline] // withEnv
[Pipeline] }
[Pipeline] // node
[Pipeline] End of Pipeline
Finished: SUCCESS
=================================================================================================================================
VERIFIED

Comment 4 errata-xmlrpc 2020-06-29 15:34:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2713


Note You need to log in before you can comment on or make changes to this bug.